Update an existing project secret
curl --request PUT \
--url https://api.example.com/governance/resources/projects/secrets/{secret_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"value": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.example.com/governance/resources/projects/secrets/{secret_name}"
payload = {
"value": "<string>",
"description": "<string>"
}
headers = {
"X-Project-ID": "<x-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Project-ID': '<x-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({value: '<string>', description: '<string>'})
};
fetch('https://api.example.com/governance/resources/projects/secrets/{secret_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}secrets
Update an existing project secret
Updates the value or description of an existing project secret. Requires write permissions on the secret. The secret value and/or description can be updated independently.
PUT
/
governance
/
resources
/
projects
/
secrets
/
{secret_name}
Update an existing project secret
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Name of the secret to update
Body
application/json
Was this page helpful?
⌘I

